FAVE-SPI FLAM Anti Virus Exit (FAVE) Service Provider Interface (SPI)

Data Fields
FaveRun Struct Reference
Function structures

FAVE Run structure. More...

`#include <FAVE.h>`

## Data Fields
unsigned int | uiInp
| [INPUT] Length of the input data (32 bit word) More...
unsigned int | uiDy1
| [DUMMY] 32 bit dummy field for 64 bit alignment More...
unsigned char * | pcInp
| [INPUT] Pointer to the input data (32 or 64 bit) More...
unsigned int | uiMsg
| [OUTPUT] Length of error message (32 bit word) More...
unsigned int | uiDy2
| [DUMMY] 32 bit dummy field for 64 bit alignment More...
char | acMsg [4096]
| [OUTPUT] Maximal 4096 byte long error string More...

## Detailed Description

FAVE Run structure.

This structure is used when the exit function is called with the function code FAVE_FUNC_RUN. It is called for each read/written data segment.

The exit drivers passes the length and a pointer to the input data of the current data segment as the first pair of members of the structure.

The last member pair is a 4096 bytes buffer for an error message. The corresponding length must be set to the length of the error message.

## Field Documentation

## ◆ acMsg

char FaveRun::acMsg[4096]

[OUTPUT] Maximal 4096 byte long error string

## ◆ pcInp

unsigned char* FaveRun::pcInp

[INPUT] Pointer to the input data (32 or 64 bit)

## ◆ uiDy1

unsigned int FaveRun::uiDy1

[DUMMY] 32 bit dummy field for 64 bit alignment

## ◆ uiDy2

unsigned int FaveRun::uiDy2

[DUMMY] 32 bit dummy field for 64 bit alignment

## ◆ uiInp

unsigned int FaveRun::uiInp

[INPUT] Length of the input data (32 bit word)

## ◆ uiMsg

unsigned int FaveRun::uiMsg

[OUTPUT] Length of error message (32 bit word)

The documentation for this struct was generated from the following file:

- FAVE.h